Bug 66434 - services in both /etc/init.d/ and /etc/xinet.d/ not handled well
services in both /etc/init.d/ and /etc/xinet.d/ not handled well
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-06-10 11:42 EDT by Daniel Walsh
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 15:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2002-06-10 11:42:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
If you have a service that can be run either at system startup or within
xinetd, chkconfig does not handle it well.
checkconfig --list 
Shows both entries.
checkconfig --list NAME 
Shows only the entry in /etc/init.d
checkconfig  NAME on does not work on /etc/xinit.d/

This caused a crash of serviceconfig.  I have eliminated the second entry from
serviceconfig since there is no good way to handle this problem as long as
chkconfig can not handle it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create a service in xinet.d that matches a name in /etc/init.d/
2.run chkconfig --list
3.run chkconfig --list NAME

Actual Results:  On step two both services listed on step three only the
/etc/init.d service listed.

Expected Results:  Both should be listed in both situations.

Additional info:
Comment 1 Daniel Walsh 2004-09-30 15:35:27 EDT
Not that important and too dificult to fix.

Note You need to log in before you can comment on or make changes to this bug.